aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorPatrick Williams <patrick@stwcx.xyz>2016-06-22 11:31:46 -0500
committerRichard Purdie <richard.purdie@linuxfoundation.org>2016-07-01 16:08:48 +0100
commit8e7522aae65b3ab0a2ded257d5c82e030fe2d710 (patch)
treee8d6fa2f044dcd655dfcd45eb30c5626977e3045
parent7687a028f5ce599e86c764892a099ed3bc26c2cd (diff)
downloadopenembedded-core-contrib-8e7522aae65b3ab0a2ded257d5c82e030fe2d710.tar.gz
openembedded-core-contrib-8e7522aae65b3ab0a2ded257d5c82e030fe2d710.tar.bz2
openembedded-core-contrib-8e7522aae65b3ab0a2ded257d5c82e030fe2d710.zip
linux-libc-headers: Update doc for recipe depends
The previous documentation has not been accurate since at least commit 6a1ff0e. Recipes that follow the old documentation will not correctly build when sstate is enabled because the kernel source will not actually be available. Signed-off-by: Patrick Williams <patrick@stwcx.xyz> Signed-off-by: Ross Burton <ross.burton@intel.com>
-rw-r--r--meta/recipes-kernel/linux-libc-headers/linux-libc-headers.inc7
1 files changed, 4 insertions, 3 deletions
diff --git a/meta/recipes-kernel/linux-libc-headers/linux-libc-headers.inc b/meta/recipes-kernel/linux-libc-headers/linux-libc-headers.inc
index 2ba6ed51df3..92acf8aa0b2 100644
--- a/meta/recipes-kernel/linux-libc-headers/linux-libc-headers.inc
+++ b/meta/recipes-kernel/linux-libc-headers/linux-libc-headers.inc
@@ -18,9 +18,10 @@ LICENSE = "GPLv2"
# But you have some kernel headers you need for some driver? That is fine
# but get them from STAGING_KERNEL_DIR where the kernel installs itself.
# This will make the package using them machine specific but this is much
-# better than having a machine specific C library. This does mean your
-# recipe needs a DEPENDS += "virtual/kernel" but again, that is fine and
-# makes total sense.
+# better than having a machine specific C library. This does mean your
+# recipe needs a
+# do_configure[depends] += "virtual/kernel:do_shared_workdir"
+# but again, that is fine and makes total sense.
#
# There can also be a case where your kernel extremely old and you want
# an older libc ABI for that old kernel. The headers installed by this